<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglImplementationVertex.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_3bddf74631e93c4b493dedcb5ed12a12.html">implementation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglImplementationVertex.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglImplementationVertex_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLIMPLEMENTATIONVERTEX_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLIMPLEMENTATIONVERTEX_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglApiVertex_8hpp.html">tiglApiVertex.hpp</a>&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a396f16eeb0b3b320cb8486f96fb84b87">   57</a></span>&#160;<a class="code" href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::TIGLApiVertex</a>(IdType key, <span class="keywordtype">bool</span> noMessageFlag, <span class="keywordtype">bool</span> inFlagReactivate) :</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;      <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType, AlgDataType, EdgeType, IdType&gt;(key)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;{</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;   <span class="comment">//disableListedActive();</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;   <a class="code" href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">activeWithNoMessage</a> = noMessageFlag;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;   <a class="code" href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">reactivateFlag</a> = inFlagReactivate;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;}</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a0c21ec2a0ed8a52afb7617792c919d1d">   76</a></span>&#160;<a class="code" href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::TIGLApiVertex</a>(IdType key, DataType data, AlgDataType alg, <span class="keywordtype">bool</span> noMessageFlag,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;      <span class="keywordtype">bool</span> inFlagReactivate) :</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;      <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType, AlgDataType, EdgeType, IdType&gt;(key, data, alg)</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;{</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;   <span class="comment">//disableListedActive();</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;   <a class="code" href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">activeWithNoMessage</a> = noMessageFlag;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;   <a class="code" href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">reactivateFlag</a> = inFlagReactivate;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;}</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#ad473daccad90e41fa3b6475ac3a2a481">   92</a></span>&#160;<a class="code" href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::TIGLApiVertex</a>(IdType key) :</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;      <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType, AlgDataType, EdgeType, IdType&gt;(key)</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;{</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;}</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">  104</a></span>&#160;<a class="code" href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::TIGLApiVertex</a>() :</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;      <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType, AlgDataType, EdgeType, IdType&gt;()</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;{</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;}</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a1bc24a1809c4d021da97f89fa143b19f">  118</a></span>&#160;<a class="code" href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::TIGLApiVertex</a>(IdType key, DataType data, AlgDataType alg) :</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;      <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt;DataType, AlgDataType, EdgeType, IdType&gt;(key, data, alg)</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;{</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#aadba7f3040f667e8c3b9de7964040b44">  129</a></span>&#160;<a class="code" href="classTIGLApiVertex.html#aadba7f3040f667e8c3b9de7964040b44">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::~TIGLApiVertex</a>()</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;{</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;}</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00142"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a9d40d2434e907fbb54a135be1d9090d3">  142</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classTIGLApiVertex.html#a9d40d2434e907fbb54a135be1d9090d3">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::setParams</a>(IdType key, DataType data, AlgDataType alg)</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;{</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;   this-&gt;<span class="keywordtype">id</span> = key;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;   this-&gt;algData = alg;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;   this-&gt;vertexData = data;</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;}</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#adbaa2555fe812c8660c9a5414e9bac75">  155</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiVertex.html#adbaa2555fe812c8660c9a5414e9bac75">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::vote_to_halt</a>()</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;{</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;   flagActive = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00167"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a02f1b2d5de3ae2978c813e827180f21b">  167</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html#a02f1b2d5de3ae2978c813e827180f21b">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::isActive</a>()</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;{</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;   <span class="keywordflow">return</span> flagActive;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;}</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#ae9418ab15c2cd6275b146186dac667f0">  178</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html#ae9418ab15c2cd6275b146186dac667f0">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::isActiveWithNoMessage</a>()</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;{</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;   <span class="keywordflow">return</span> activeWithNoMessage;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;}</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a5bc44315862e8648664fb515fb244230">  189</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classTIGLApiVertex.html#a5bc44315862e8648664fb515fb244230">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::clear</a>()</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;{</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;   <a class="code" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt;DataType, AlgDataType, EdgeType, IdType&gt;::clear</a>();</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;   flagActive = <span class="keyword">false</span>;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;}</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00201"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a2ca961611ed7a646ea8dc7847c31b20d">  201</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html#a2ca961611ed7a646ea8dc7847c31b20d">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::canReactivate</a>()</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;{</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;   <span class="keywordflow">return</span> reactivateFlag;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;}</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00212"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a048dcbd05a01f8dab31fd8523f6723d8">  212</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiVertex.html#a048dcbd05a01f8dab31fd8523f6723d8">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::activate</a>()</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;{</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;   flagActive = <span class="keyword">true</span>;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;}</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00228"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a509bac1afaa2f2141616ae8fc06c0ddd">  228</a></span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> ALLOCATOR_TYPE&gt; uint_fast32_t <a class="code" href="classTIGLApiVertex.html#a509bac1afaa2f2141616ae8fc06c0ddd">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::compute</a>(MESSAGE_BUF_TYPE *pIn,</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;      vector&lt;MESSAGE_TYPE, ALLOCATOR_TYPE&gt; *pOut, uint_fast32_t numMessages)</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;{</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;   <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;}</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00243"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a846155817024d5eb7c732a3989b639f1">  243</a></span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> ALLOCATOR_TYPE&gt; uint_fast32_t <a class="code" href="classTIGLContainersVertexBase.html#a53510bd15bbce08013705a779d3b191a">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::init</a>(INIT_TYPE *initParams,</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;      vector&lt;MESSAGE_TYPE, ALLOCATOR_TYPE&gt; *pOut)</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;{</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;   <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;}</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00255"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#a43502dad7f920fcf45f13710457ffb05">  255</a></span>&#160;uint_fast32_t <a class="code" href="classTIGLApiVertex.html#a43502dad7f920fcf45f13710457ffb05">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::getMessageBufSize</a>()</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;{</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;   <span class="keywordflow">return</span> (this-&gt;outEdges).capacity() * <span class="keyword">sizeof</span>(MESSAGE_TYPE);</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;}</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00266"></a><span class="lineno"><a class="line" href="classTIGLApiVertex.html#aa9723e50976503ca2ce8f5a0947a04c7">  266</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiVertex.html#aa9723e50976503ca2ce8f5a0947a04c7">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::setAggPtr</a>(<a class="code" href="classTIGLContainersAggregate.html">AGGREGATE_TYPE</a> * infoPtr)</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;{</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;   <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::aggregateInfoPtr</a> = infoPtr;</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;   <span class="comment">//aggregateInfoPtr = infoPtr;</span></div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;}</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;<span class="comment">/*****************************************************************************</span></div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;<span class="comment"> * defining the static members</span></div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;<a class="code" href="classTIGLContainersAggregate.html">TIGLContainersAggregate&lt;AlgDataType&gt;</a>* <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::aggregateInfoPtr</a>;</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::activeWithNoMessage</a>;</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DataType, <span class="keyword">typename</span> AlgDataType, <span class="keyword">typename</span> EdgeType, <span class="keyword">typename</span> InitType, <span class="keyword">typename</span> IdType, <span class="keyword">typename</span> MessageType&gt;</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classTIGLApiVertex.html">TIGLApiVertex&lt;DataType, AlgDataType, EdgeType, InitType, IdType, MessageType&gt;::reactivateFlag</a>;</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLIMPLEMENTATIONVERTEX_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classTIGLApiVertex_html_aa9723e50976503ca2ce8f5a0947a04c7"><div class="ttname"><a href="classTIGLApiVertex.html#aa9723e50976503ca2ce8f5a0947a04c7">TIGLApiVertex::setAggPtr</a></div><div class="ttdeci">void setAggPtr(AGGREGATE_TYPE *infoPtr)</div><div class="ttdoc">Sets a pointer to the aggregate information object. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:266</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a02f1b2d5de3ae2978c813e827180f21b"><div class="ttname"><a href="classTIGLApiVertex.html#a02f1b2d5de3ae2978c813e827180f21b">TIGLApiVertex::isActive</a></div><div class="ttdeci">bool isActive()</div><div class="ttdoc">Returns active status. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:167</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a509bac1afaa2f2141616ae8fc06c0ddd"><div class="ttname"><a href="classTIGLApiVertex.html#a509bac1afaa2f2141616ae8fc06c0ddd">TIGLApiVertex::compute</a></div><div class="ttdeci">uint_fast32_t compute(MESSAGE_BUF_TYPE *pIn, vector&lt; MESSAGE_TYPE, ALLOCATOR_TYPE &gt; *pOut, uint_fast32_t numMessages)</div><div class="ttdoc">Virtual core compute function. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:228</div></div>
<div class="ttc" id="classTIGLContainersAggregate_html"><div class="ttname"><a href="classTIGLContainersAggregate.html">TIGLContainersAggregate</a></div><div class="ttdoc">Base class for aggregate information. </div><div class="ttdef"><b>Definition:</b> tiglContainersAggregate.hpp:66</div></div>
<div class="ttc" id="classTIGLApiVertex_html_ae9418ab15c2cd6275b146186dac667f0"><div class="ttname"><a href="classTIGLApiVertex.html#ae9418ab15c2cd6275b146186dac667f0">TIGLApiVertex::isActiveWithNoMessage</a></div><div class="ttdeci">bool isActiveWithNoMessage()</div><div class="ttdoc">Checks if the vertex stays active even without messages. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:178</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a5f97f5c472444d212bf6ddfd217032e2"><div class="ttname"><a href="classTIGLApiVertex.html#a5f97f5c472444d212bf6ddfd217032e2">TIGLApiVertex::reactivateFlag</a></div><div class="ttdeci">static bool reactivateFlag</div><div class="ttdoc">a flag when true the vertex can be reactivated by new messages, otherwise it never wake up once becom...</div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:109</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a9d40d2434e907fbb54a135be1d9090d3"><div class="ttname"><a href="classTIGLApiVertex.html#a9d40d2434e907fbb54a135be1d9090d3">TIGLApiVertex::setParams</a></div><div class="ttdeci">void setParams(IdType key, DataType data, AlgDataType alg)</div><div class="ttdoc">Sets the fields of the vertex. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:142</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a43502dad7f920fcf45f13710457ffb05"><div class="ttname"><a href="classTIGLApiVertex.html#a43502dad7f920fcf45f13710457ffb05">TIGLApiVertex::getMessageBufSize</a></div><div class="ttdeci">uint_fast32_t getMessageBufSize()</div><div class="ttdoc">Returns the size of message buffers. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:255</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a048dcbd05a01f8dab31fd8523f6723d8"><div class="ttname"><a href="classTIGLApiVertex.html#a048dcbd05a01f8dab31fd8523f6723d8">TIGLApiVertex::activate</a></div><div class="ttdeci">void activate()</div><div class="ttdoc">Activates the vertex. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:212</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a0447a45606db0e53ae9d32801e050a06"><div class="ttname"><a href="classTIGLApiVertex.html#a0447a45606db0e53ae9d32801e050a06">TIGLApiVertex::TIGLApiVertex</a></div><div class="ttdeci">TIGLApiVertex()</div><div class="ttdoc">Empty constructor. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:104</div></div>
<div class="ttc" id="classTIGLContainersVertexBase_html_a53510bd15bbce08013705a779d3b191a"><div class="ttname"><a href="classTIGLContainersVertexBase.html#a53510bd15bbce08013705a779d3b191a">TIGLContainersVertexBase::init</a></div><div class="ttdeci">virtual void init()</div><div class="ttdoc">Core init function: trivial realization in the core class. This function is overriden by the algorith...</div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:404</div></div>
<div class="ttc" id="classTIGLApiVertex_html_adbaa2555fe812c8660c9a5414e9bac75"><div class="ttname"><a href="classTIGLApiVertex.html#adbaa2555fe812c8660c9a5414e9bac75">TIGLApiVertex::vote_to_halt</a></div><div class="ttdeci">void vote_to_halt()</div><div class="ttdoc">Deactivates the vertex. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:155</div></div>
<div class="ttc" id="classTIGLApiVertex_html_abf0b30555edcb496a6605e442066eb11"><div class="ttname"><a href="classTIGLApiVertex.html#abf0b30555edcb496a6605e442066eb11">TIGLApiVertex::activeWithNoMessage</a></div><div class="ttdeci">static bool activeWithNoMessage</div><div class="ttdoc">a flag when true the vertex is processed even with no message, if false it is processed only if there...</div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:107</div></div>
<div class="ttc" id="classTIGLApiVertex_html_aadba7f3040f667e8c3b9de7964040b44"><div class="ttname"><a href="classTIGLApiVertex.html#aadba7f3040f667e8c3b9de7964040b44">TIGLApiVertex::~TIGLApiVertex</a></div><div class="ttdeci">~TIGLApiVertex()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:129</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a2ca961611ed7a646ea8dc7847c31b20d"><div class="ttname"><a href="classTIGLApiVertex.html#a2ca961611ed7a646ea8dc7847c31b20d">TIGLApiVertex::canReactivate</a></div><div class="ttdeci">bool canReactivate()</div><div class="ttdoc">Checks if the vertex can be reactivated by new messages. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:201</div></div>
<div class="ttc" id="classTIGLApiVertex_html"><div class="ttname"><a href="classTIGLApiVertex.html">TIGLApiVertex</a></div><div class="ttdoc">Core vertex class for the TIGL Engine (with only output edge buffer). </div><div class="ttdef"><b>Definition:</b> tiglApiVertex.hpp:83</div></div>
<div class="ttc" id="classTIGLApiVertex_html_a5bc44315862e8648664fb515fb244230"><div class="ttname"><a href="classTIGLApiVertex.html#a5bc44315862e8648664fb515fb244230">TIGLApiVertex::clear</a></div><div class="ttdeci">void clear()</div><div class="ttdoc">Clears all edges and deactivates the vertex. </div><div class="ttdef"><b>Definition:</b> tiglImplementationVertex.hpp:189</div></div>
<div class="ttc" id="tiglApiVertex_8hpp_html"><div class="ttname"><a href="tiglApiVertex_8hpp.html">tiglApiVertex.hpp</a></div></div>
<div class="ttc" id="classTIGLContainersVertexBase_html"><div class="ttname"><a href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a></div><div class="ttdoc">Core vertex class. </div><div class="ttdef"><b>Definition:</b> tiglContainersVertexBase.hpp:89</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
